package com.usky.fire.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.fire.domain.PatrolInspectionPersonnel;
import com.usky.common.mybatis.core.CrudService;
import com.usky.fire.service.vo.PatrolInspectionAreaVo;
import com.usky.fire.service.vo.PatrolInspectionPersonnelVo;

import java.util.List;

/**
 * <p>
 * 巡检人员表 服务类
 * </p>
 *
 * @author JCB
 * @since 2022-07-26
 */
public interface PatrolInspectionPersonnelService extends CrudService<PatrolInspectionPersonnel> {

    void addPatrolInspectionPersonnel(PatrolInspectionPersonnel patrolInspectionPersonnel);

    void updatePatrolInspectionPersonnel(PatrolInspectionPersonnel patrolInspectionPersonnel);

    void delPatrolInspectionPersonnel(Integer id);

    CommonPage<PatrolInspectionPersonnelVo> patrolInspectionPersonnelList(Integer areaId,Integer pageNum, Integer pageSize,Integer id);

    List<PatrolInspectionPersonnelVo> patrolInspectionPersonnelSelect(Integer areaId);

    List<PatrolInspectionAreaVo> personnelLeftList();

    void updateSignStatus(Integer status);

    PatrolInspectionPersonnel getStatus();

}
